zenilib: RestrictVertexShaderTiming Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
RestrictVertexShaderTiming Class Reference

`#include <RestrictVertexShaderTiming.h>`

Inherits TIntermTraverser.

## Public Member Functions

| RestrictVertexShaderTiming (TInfoSinkBase &sink)
void | enforceRestrictions (TIntermNode *root)
int | numErrors ()
virtual void | visitSymbol (TIntermSymbol *)
Public Member Functions inherited from TIntermTraverser
| TIntermTraverser (bool preVisit=true, bool inVisit=false, bool postVisit=false, bool rightToLeft=false)
virtual | ~TIntermTraverser ()
void | decrementDepth ()
int | getMaxDepth () const
void | incrementDepth ()
| POOL_ALLOCATOR_NEW_DELETE ()
virtual bool | visitAggregate (Visit visit, TIntermAggregate *)
virtual bool | visitBinary (Visit visit, TIntermBinary *)
virtual bool | visitBranch (Visit visit, TIntermBranch *)
virtual void | visitConstantUnion (TIntermConstantUnion *)
virtual bool | visitLoop (Visit visit, TIntermLoop *)
virtual bool | visitSelection (Visit visit, TIntermSelection *)
virtual bool | visitUnary (Visit visit, TIntermUnary *)

## Additional Inherited Members

Static Public Member Functions inherited from TIntermTraverser
static TString | hash (const TString &name, ShHashFunction64 hashFunction)
Public Attributes inherited from TIntermTraverser
const bool | inVisit
const bool | postVisit
const bool | preVisit
const bool | rightToLeft
Protected Attributes inherited from TIntermTraverser
int | depth
int | maxDepth

## Detailed Description

Definition at line 17 of file RestrictVertexShaderTiming.h.

## Constructor & Destructor Documentation

RestrictVertexShaderTiming::RestrictVertexShaderTiming | ( | TInfoSinkBase & | sink | ) |

inline

Definition at line 19 of file RestrictVertexShaderTiming.h.

## Member Function Documentation

void RestrictVertexShaderTiming::enforceRestrictions | ( | TIntermNode * | root | ) |

inline

Definition at line 24 of file RestrictVertexShaderTiming.h.

References TIntermNode::traverse().

Referenced by TCompiler::enforceVertexShaderTimingRestrictions().

int RestrictVertexShaderTiming::numErrors | ( |  | ) |

inline

Definition at line 25 of file RestrictVertexShaderTiming.h.

Referenced by TCompiler::enforceVertexShaderTimingRestrictions().

void RestrictVertexShaderTiming::visitSymbol | ( | TIntermSymbol * | node | ) |

virtual

Reimplemented from TIntermTraverser.

Definition at line 9 of file RestrictVertexShaderTiming.cpp.

References EPrefixError, TIntermTyped::getBasicType(), TIntermNode::getLine(), IsSampler(), and TInfoSinkBase::message().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/timing/RestrictVertexShaderTiming.h
- zenilib/jni/external/angle/src/compiler/timing/RestrictVertexShaderTiming.cpp